ChiliProject - Bug # 914: comments gets striked through, when description changes before

Status: Closed Priority: Normal

Author: Peter Mathis Category: User interface

Created: 2012-02-29 Assignee:

Updated: 2012-03-09 Due date:

Remote issue URL:

Affected version: 3.0.0

Description: we've encountered problems, when the description of a ticket changes. this gets diplayed in the comments,

but it seem that the strike-through tag doesn't get closed afterwards. see attached image

Associated revisions

2008-03-27 08:27 pm - Jean-Philippe Lang

Translation updates: (closes #915, #927, #929, #923, #914, #919)
* Japanese (Satoru Kurashiki)

* Simplified Chinese (chaoqun zou)

* Danish (kim madsen)

* Norwegian (Kai Olav Fredriksen)

* Traditional Chinese (shortie Io)

* German (Sven Schuchmann)

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1300 €93f8b46-1217-0410-a6f0-8f06a7374b81

2012-03-09 06:44 pm - Felix SchAxfer
Correct truncated styles on journal entries #914

History

2012-02-29 09:05 am - Holger Just
- Target version deleted (4.0.0)

- Affected version set to 3.0.0

2012-02-29 11:52 pm - Felix Schafer

Confirmed, when deleting the description the strike-through goes on for the whole page.

2012-03-01 12:52 am - Felix Schafer

This has actually been introduced in commit:08454ab7: The old value first gets styled with @strike@, then truncated to 80 chars, thus removing the
closing @strike@ if the description is long enough.

Eric, would you have a minute to go over it?

2012-03-07 11:02 pm - Peter Mathis

- Target version set to 3.1.0

2012-03-09 04:19 pm - Felix Schéafer
- Assignee set to Felix Schéfer

Working on thisa€|

2012-03-09 05:12 pm - Felix Schafer
- Assignee deleted (Felix Schéfer)

- Status changed from Open to Ready for review

See https://github.com/chiliproject/chiliproject/pull/161

2012-03-09 05:45 pm - Felix Schafer

- Status changed from Ready for review to Closed

Committed in 1bc1824, thanks for reporting!
